glab(1)

NAME

glab-cluster-agent-get-token - Create and return a k8s_proxy-scoped personal access token to authenticate with a GitLab Agents for Kubernetes.

SYNOPSIS

glab cluster agent get-token [flags]

DESCRIPTION

Create and return a k8s_proxy-scoped personal access token to authenticate with a GitLab Agents for Kubernetes.

This command creates a personal access token that is valid until the end of the current day. You might receive an email from your GitLab instance that a new personal access token has been created.

OPTIONS

-a, --agent=0
    The numerical Agent ID to connect to.

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

SEE ALSO

glab-cluster-agent(1)